Blob Blame History Raw
From 283c34fc2b0b3ecb06613e57163a88dc4ce53ff7 Mon Sep 17 00:00:00 2001
From: Harald Hoyer <harald@redhat.com>
Date: Mon, 5 Aug 2013 11:22:21 +0200
Subject: [PATCH] dracut.sh: call find with -print0 and cpio with --null

---
 dracut.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dracut.sh b/dracut.sh
index cf92397..3140b7e 100755
--- a/dracut.sh
+++ b/dracut.sh
@@ -1259,7 +1259,7 @@ if [[ $early_microcode = yes ]]; then
             fi
         done
     done
-    (cd "$microcode_dir/d"; find . | cpio -o -H newc --quiet >../ucode.cpio)
+    (cd "$microcode_dir/d"; find . -print0 | cpio --null -o -H newc --quiet >../ucode.cpio)
 fi
 
 rm -f -- "$outfile"
@@ -1268,7 +1268,7 @@ if [[ $early_microcode = yes ]]; then
     # The microcode blob is _before_ the initramfs blob, not after
     mv $microcode_dir/ucode.cpio $outfile.$$
 fi
-if ! ( umask 077; cd "$initdir"; find . |cpio -R 0:0 -H newc -o --quiet| \
+if ! ( umask 077; cd "$initdir"; find . -print0 | cpio --null -R 0:0 -H newc -o --quiet| \
     $compress >> "$outfile.$$"; ); then
     dfatal "dracut: creation of $outfile.$$ failed"
     exit 1